> ## Documentation Index
> Fetch the complete documentation index at: https://docs.standardmetrics.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metrics options

> Retrieve information about all available metrics for a firm. Includes category names, types, and configuration details.

**Permissions:**
- User must be authenticated via OAuth.



## OpenAPI

````yaml get /metrics/options/
openapi: 3.0.1
info:
  title: Standard Metrics API Documentation
  description: >-
    Welcome to Standard Metric's API docs!


    To use our API you will need to make an OAuth appliction (or use an existing
    one) in the developer settings tab on your settings page and then exchange
    your client id and secret for an access token (via the `/o/token/` endpoint.
    This token can then be sent in the `Authorization` header to authenticate
    your requests to our api. See below for an example.


    All endpoints are paginated and will return a maximum of 100 results per
    page. See the endpoints below and example responses for more details on
    pagination parameters. A maximum of 120 requests per minute can be made to
    our API.


    Authentication example (with python):

    ```>>> import base64

    >>> import base64

    >>> client_id = "YOUR_CLIENT_ID"

    >>> client_secret = "YOUR_CLIENT_SECRET"

    >>> credential = f"{client_id}:{client_secret}"

    >>> base64.b64encode(credential.encode("utf-8"))

    b'ENCODED_CREDENTIAL'


    You can now exchange this credential for an access token, eg:


    curl -X POST \
        -H "Authorization: Basic ENCODED_CREDENTIAL" \
        -H "Cache-Control: no-cache" \
        -H "Content-Type: application/x-www-form-urlencoded" \
        "https://api.standardmetrics.io/o/token/" \
        -d "grant_type=client_credentials"

    You will receive the following response:


    {
        "access_token": "YOUR_ACCESS_TOKEN",
        "expires_in": 36000,
        "token_type": "Bearer",
        "scope": "read write"
    }


    Make sure not to forget to prepend "Bearer " to your access token in the
    Authorization header while making requests.
  version: '1.0'
servers:
  - url: https://api.standardmetrics.io/v1
security:
  - Bearer: []
paths:
  /metrics/options/:
    get:
      tags:
        - metrics
      summary: Get metrics options
      description: >-
        Retrieve information about all available metrics for a firm. Includes
        category names, types, and configuration details.


        **Permissions:**

        - User must be authenticated via OAuth.
      operationId: metrics_options_list
      parameters:
        - name: page
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: category_name
          in: query
          description: Name of the category
          schema:
            type: string
        - name: category_id
          in: query
          description: ID of the category
          schema:
            type: string
        - name: is_standard
          in: query
          description: Is category standard
          schema:
            type: boolean
        - name: type
          in: query
          description: Type of the category
          schema:
            type: string
            enum:
              - Integer
              - Decimal
              - String
              - Money
              - Percentage
              - Select
        - name: is_point_in_time
          in: query
          description: Is category point in time
          schema:
            type: boolean
        - name: is_archived
          in: query
          description: Is category archived
          schema:
            type: boolean
        - name: choices
          in: query
          description: Choice options for the category
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
        - name: is_multiple
          in: query
          description: Is the category multiple choice
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                required:
                  - count
                  - results
                type: object
                properties:
                  count:
                    type: integer
                  next:
                    type: string
                    format: uri
                    nullable: true
                  previous:
                    type: string
                    format: uri
                    nullable: true
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/MetricsOptions'
components:
  schemas:
    MetricsOptions:
      required:
        - category_id
        - category_name
        - is_standard
      type: object
      properties:
        category_name:
          title: Category name
          minLength: 1
          type: string
        category_id:
          title: Category id
          type: string
        is_standard:
          title: Is standard
          type: boolean
        is_archived:
          title: Is archived
          type: boolean
        type:
          title: Type
          type: string
          readOnly: true
        is_point_in_time:
          title: Is point in time
          type: boolean
        description:
          title: Description
          type: string
        choices:
          type: array
          description: Choices for categories with a select type
          items:
            title: Choices
            maxLength: 255
            minLength: 1
            type: string
        is_multiple:
          title: Is multiple
          type: boolean
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your valid bearer token. All Auth tokens persist for all requests. Make
        sure to replace Client Credential `Basic` tokens with `Bearer` tokens
        after retrieving your bearer token. Go to the API Reference/Setup, User
        Guides/Initial Setup, or API Reference/Get API Access Token page to get
        your token.

````